%define	major	4
%define	libname	%mklibname dv %{major}
%define develname %mklibname -d dv
%define staticname %mklibname -d -s dv

Name:		libdv
Version:	1.0.0
Release:	%mkrel 10
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://prdownloads.sourceforge.net/libdv/%name-%version.tar.bz2
URL:		http://libdv.sourceforge.net/
Patch0:		libdv-mmxdetect-athlon.patch
Patch4:		libdv-0.104-zap-config.h.patch
Patch5:		libdv-0.104-move-config.h-to-apps.patch
Summary:	DV software video codec
BuildRequires:	popt-devel libxv-devel

%description 
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%package	apps
Summary:	Binaries from libdv
Group:		Video/Editors and Converters
Provides:	%{_lib}dv2-apps = %{version}-%{release}
Obsoletes:	%{_lib}dv2-apps

%description	apps
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package -n	%{libname}
Summary:	Libraries from libdv
Group:		System/Libraries

%description -n	%{libname}
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n	%develname
Summary:	Devel files from libdv
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	popt-devel
Provides:	libdv-devel = %{version}-%{release}
Obsoletes: 	%mklibname -d dv 4
 
%description -n	%develname
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n	%staticname
Group:		Development/C
Summary:	Static library of %{name}
Requires:	%develname = %{version}
Obsoletes:	%mklibname -s -d dv 4

%description -n	%staticname
This package contains the static library required for statically
linking applications based on %{name}.

%prep
%setup -q
%apply_patches

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./bootstrap
fi
%configure2_5x --enable-shared --disable-gtk

%make

%install
%makeinstall

%files apps
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %develname
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%{_includedir}/libdv
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libdv.pc

%files -n %staticname
%{_libdir}/*.a






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-10.mga3
+ Revision: 357021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.0.0-9.mga3
+ Revision: 323372
- clean spec
- update rpm group

* Sat Jan 15 2011 ahmad <ahmad> 1.0.0-8.mga1
+ Revision: 19499
- drop old/unneeded scriptlets
- drop BR X11-devel, not needed any more
- imported package libdv

